<?php 
 date_default_timezone_set('America/Costa_Rica');
require("../conexion.php");
//include ("../funciones/fechas.php"); 

session_start();


$numrec=$_GET["codfactura"];


$consulta = "SELECT * FROM entregas_clientes_recibos WHERE numrec='$numrec'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        
  $numrec = $fila["numrec"];
  $fecrec= $fila["fecrec"]; 
  $numfac= $fila["numfac"]; 
  $cdgcli = $fila["cdgcli"];
  $dsccli= $fila["dsccli"]; 
  $retira= $fila["retira"]; 
  $placa = $fila["placa"];
  $entregaen = $fila["entregaen"];
  $obsped = $fila["obsped"];
  $nomusu = $fila["nomusu"];
  $cdgusu = $fila["cdgusu"];
  $estado = $fila["estado"];
 // if ($cdgtipexo == "01") { $cliexe=2; } else { $cliexe=1; } 


if (!isset($_GET["cadena_busqueda"])) { $cadena_busqueda="";  } else  {  $cadena_busqueda=$_GET["cadena_busqueda"];  }


if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgcli=$array_cadena_busqueda[1];
	$dsccli=$array_cadena_busqueda[2];

} else {
	$cdgcli=$cdgcli;
	$dsccli=$dsccli;


}

?>
<html>
	<head>
		<title>Facturas</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
      	<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
          
        <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
        


  <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>

		<script language="javascript">
		



  $(function() {
   // $('#currency').maskMoney();
   //$("#monabo").maskMoney({thousands:',', decimal:'.', allowZero:true, prefix: '€ '});
$("#monabo").maskMoney({thousands:',', decimal:'.',precision:2});
$("#vuelto").maskMoney({thousands:',', decimal:'.',precision:2});
//	$("#pagacon").maskMoney({thousands:',', decimal:'.',precision:2});
//$("#totalpago").maskMoney({thousands:',', decimal:'.',precision:2});

	  })



  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)abreVentana(); // f3  busqueda de clientes 
if(num==118){ validar_Recibo(); } // f8 guardar e imprimir 
//if(num==120){ ConsultarArticulo();  }//f9 guardar e imprimir
///if(num==121) validar_Recibo();
	    //f10 guardar e imprimir 

  }  
  }

		

		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
		
		function nueva_Recibo() {
			location.href="Nuevo_Recibo.php";
		}
		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			document.getElementById("form_busqueda").submit();
			//  document.getElementById("monabo").value="";
			 // document.getElementById("monabo").select();

			  

		}
		
		
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();
		
		}
		
		function hacer_cadena_busqueda() {
			var cdgcli=document.getElementById("cdgcli").value;
			var dsccli=document.getElementById("dsccli").value;
			//var numfactura=document.getElementById("numfactura").value;			
			//var cboEstados=document.getElementById("cboEstados").value;
			//var fechainicio=document.getElementById("vehpla").value;
			//var fechafin=document.getElementById("fechafin").value;
			var cadena="";
			cadena="~"+cdgcli+"~"+dsccli+"~";
			return cadena;
			}







/////////////////////////////////////////////////////////  validar abono ////////////////////////////////////////////////


			
		
		function limpiar() { 
			document.getElementById("form_busqueda").reset();
			document.getElementById("form_busqueda").submit();
		}
		
		function abreVentana(){
			miPopup = window.open("ver_clientes2.php","miwin","width=700,height=650,scrollbars=yes");
			document.getElementById("monabo").select();
			miPopup.focus();
		}
		
		
				
		function abreRecibo(){
					
		var cdgcli=document.getElementById("cdgcli").value;
		if (cdgcli == ""){
		
		alert ("Para continuar debe selecionar el Cliente Primero");


	    }else {

			miPopup = window.open("ver_recibos.php?cdgcli="+cdgcli,"miwin","width=700,height=650,scrollbars=yes");
	 		document.form_busqueda.codmov.value="";
			document.form_busqueda.numade.value="";
			document.form_busqueda.monade.value="";
			miPopup.focus();
		}	
		
		
		}
		
		function validarcliente(){
			var cdgcli=document.getElementById("cdgcli").value;
	
			miPopup = window.open("comprobarcliente.php?cdgcli="+cdgcli,"frame_datos1","width=700,height=80,scrollbars=yes");
		
			
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		
		}
		
		
				


//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
  if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
			  validar();			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
				 return false
			  }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	

		
		
			
			
				
						function cancelar() {
			location.href="index.php?cadena_busqueda=<?php echo $cadena_busqueda?>";
		}



   	function inicio() {
	document.getElementById("form_busqueda").submit();
		}

 

				function Anular(numrec) {

					
		    if (confirm(" Desea anular esta factura ? "))
				   
			location.href="Anular_recibo.php?numrec="+numrec;


				
		}
		


function validarfactura(){
			
			var numfac=document.getElementById("numfac").value;
			var cdgcli=document.getElementById("cdgcli").value;
		//	var tazint=document.getElementById("tazint").value;

			if (cdgcli=="") {
				alert ("Debe introducir el codigo del cliente  antes de continuar");
					document.getElementById("numfac").value="";
					//document.getElementById("salfac").value="";
					//document.getElementById("monabo").value="";
					document.getElementById("cdgcli").focus();
					document.getElementById("cdgcli").select();

			} else {
				
			//	document.getElementById("form_busqueda").submit();
		
			miPopup = window.open("Comprobar_Factura.php?numfac="+numfac+"&cdgcli="+cdgcli, "frame_datos3","width=900,height=90,scrollbars=yes");

				}
					}
			

				
	
			
	
	
		
		function aceptar() {
			location.href="index.php";
		}
				

		</script>
	</head>
			<body onLoad=" inicio();  nobackbutton();">
		<div id="">
			<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenidoRecibo">
				<form id="form_busqueda" name="form_busqueda" method="post" action="frame_lineas_ver.php" target="frame_rejilla">
					 <table class="fuente8" width="100%" cellspacing=2 cellpadding=0 border=0>				
						<input id="accion" name="accion" value="alta" type="hidden">
						<input name="numrec"  id="numrec" value="<?php echo $numrec?>" type="hidden">
						<input name="salfac"  id="salfac" value="<?php echo $salfac?>" type="hidden">
						<input name="salact"  id="salact" value="<?php echo $salact?>" type="hidden">
                          <input id="posicion" name="posicion" type="hidden" value="" >
						<input name="saldoporpagar"  id="saldoporpagar" value="<?php echo $saldoporpagar?>" type="hidden">
	<input type="hidden" id="currency" />
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td width="12%">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td >&nbsp;</td>
						  <td width="5%" >&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
					   </tr>
						<tr>
						  <td width="1%" rowspan="2">&nbsp;</td>
						  <td width="6%">&nbsp;</td>
						  <td rowspan="2"><input id="cdgcli" autofocus autocomplete="off" type="text" class="cajaPequena" name="cdgcli" maxlength="10"  value="<?php echo $cdgcli?>"   style='text-align:center;'    onChange="validarcliente(); buscar()" >
					      <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar cliente" onMouseOver="style.cursor=cursor"> <img src="../img/Accept_Male_User_Icon_32.png" width="32" height="32" onClick="validarcliente()" title="Validar cliente" onMouseOver="style.cursor=cursor"></td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td width="12%">Retira</td>
					      <td colspan="2" ><input id="retira"  name="retira" type="text" class="cajaGrande" maxlength="100"   value="<?php echo $retira?>"></td>
					      <td colspan="2" >&nbsp;</td>
				       </tr>
						<tr>
						  <td width="6%" height="30">Código</td>
						  <td width="6%">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td width="12%">Placa</td>
					      <td width="17%" ><input name="placa" type="text" class="cajaMedia" id="placa"   style='text-align:left;' value="<?php echo $placa?>"   onFocus="siguienteCampo ='dsccli';" ></td>
					      <td colspan="3" >&nbsp;</td>
		              </tr>
						<tr>
						  <td rowspan="3">&nbsp;</td>
							<td rowspan="2">Nombre</td>
						  <td width="21%" rowspan="2"><input id="dsccli" readonly name="dsccli" type="text" class="cajaGrande" maxlength="45"    value="<?php echo $dsccli?>"   onChange="buscar()">						    </td>
							<td width="6%">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>Entregado en:</td>
						  <td colspan="2" ><input name="entregadoen" type="text" class="cajaGrande" id="entregadoen"   style='text-align:left;' value="<?php echo $entregaen?>"    onFocus="siguienteCampo ='dsccli';" ></td>
							<td colspan="2" >&nbsp;</td>
						</tr>
						<tr>
						  <td width="6%">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td width="17%" >&nbsp;</td>
						  <td >&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
		              </tr>
						
						<tr>
						  <td>Factura</td>
						  <td><input name="numfac" type="text" class="cajaMedia" id="numfac"   style='text-align:center;'  value="<?php echo $numfac?>" onChange="validarfactura()"  onFocus="siguienteCampo ='dsccli';" ></td>
						  <td><img src="../img/backup.png" alt="BUSCAR RECIBO" width="36" height="36" title="Buscar Recibo de Adelanto" onClick="abreRecibo()" onMouseOver="style.cursor=cursor" ></td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td><img src="../img/Recycle-Full-icon (3).png" alt="Limpiar" width="34" height="36" title="Limpiar" onClick="limpiar()" onMouseOver="style.cursor=cursor" border="0"></td>
						  <td width="6%">&nbsp;</td>
					      <td width="6%">&nbsp;</td>
					      <input name="codmov" type="hidden"  value="" readonly  id="codmov"    >
					  </tr>
				    </table>
					<div id="frmResultado">

                  			<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						
						<tr class="cabeceraTabla">
							<td width="84">CODIGO</td>
							<td width="223">DETALLE</td>
                            
                             <td width="161">CANTIDAD INICIAL</td>
                             
							<td width="128"><span >CANT ENTREGA.</span></td>
                           

							<td width="120">SALDO ACTUAL</td>
							<td width="34">&nbsp;</td>
			  </tr>
			
                
             <tr>   
<td  height="237" colspan="6">
                
	
				    <iframe width="100%" height="300" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="100%" height="350" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
                    
                    </td>
                    </tr>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">

	
				  <tr>
				    <td width="10%" bordercolor="#003366"  border="1">Observaci&oacute;n</td>
				    <td width="17" colspan="2" bordercolor="#003366"  border="1"><span class="Estilo11">
			        <textarea  id="obsped" name="obsped" maxlength="200" class="textarea_pedido"    onBlur="guardar_observacion()" ><?php echo $obsped ?></textarea>
			        </span></td>
				    <td colspan="2"  align="right">&nbsp;</td>
			      </tr>
				  </table>
                  
			      <div id="">
                      <div align="center"><img src="../img/Symbol-Delete_48x48-32.png" alt="Borrar" width="48" height="48" border="0" align="right" class="aCentro" title="Salir" onClick="cancelar()" onMouseOver="style.cursor=cursor">
					  

                          <input id="numfac" name="numfac" value="<?php echo $numfac?>" type="hidden">
                           <input id="numrec" name="numrec" value="<?php echo $numrec?>" type="hidden">
                            <input id="cliexe" name="cliexe" value=" <?php echo $cliexe?>"  type="hidden">                         
                          

                      </div>
			      </div>
                                  
                

				    <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			        <img src="../img/Symbol-Check_48x48-32.png"  width="48" height="48" border="0" title="Aceptar"  onClick="Anular(<?php echo $numrec ?>)" onMouseOver="style.cursor=cursor">	
				</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
					
					
				<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
					
			<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>


			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
